Im trying to download the new itunes so i can use my iphone 5 , however , the new itunes requires Mac OS X 10.6.8 or later and i cant seem to install that onto my imac even after searching for the new update (my imac is currently on 10.5.8.

.Im trying to download the new itunes so i can use my iphone 5 , however , the new itunes requires Mac OS X 10.6.8 or later and i cant seem to install that onto my imac even after searching for the new update (my imac is currently on 10.5.8.
Advertisement
Reply

You have already seen that you cannot load the new iTunes into your 10.5.8, so as Neil says, you need Snow Leopard (current cost £14).    And you'll probably need to update the disc you buy via the combo update, though that is free.
As far as the new iTunes is concerned, there's been a certain amount of grumbling so you may want to study the forums before you update.   The main problem has been with album artwork which does not transfer easily.